Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLStaticFrame Class Reference

A static (non-resizeable) frame. More...

`#include <sdlstaticframe.h>`

Inheritance diagram for SDLStaticFrame

[legend]
Collaboration diagram for SDLStaticFrame:

[legend]
List of all members.

## Public Methods
| SDLStaticFrame (SDLWidget* parentare, SDL_Rect& r)
| ~SDLStaticFrame ()
bool | LoadBackground (const char* filename)

## Detailed Description

A static (non-resizeable) frame.

Author(s):
  Alexander Pipelka

Intended to be used as a parent for other widgets. Only handles background for the time being.

Definition at line 51 of file sdlstaticframe.h.

## Constructor & Destructor Documentation

SDLStaticFrame::SDLStaticFrame ( | SDLWidget * parentare,
| SDL_Rect & r )

SDLStaticFrame::~SDLStaticFrame ( | )

## Member Function Documentation

bool SDLStaticFrame::LoadBackground ( | const char * filename )

The documentation for this class was generated from the following file:

- sdlstaticframe.h